### Signal

# Ide BuildManager::build-failed

#### Declaration

    void
    build_failed (
      IdeBuildManager* self,
      IdePipeline* pipeline,
      gpointer user_data
    )

#### Description

The “build-failed” signal is emitted when a build that was previously notified via `IdeBuildManager::build-started` has failed to complete successfully.

Contrast this with `IdeBuildManager::build-finished` for a successful build.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`pipeline` | `IdePipeline`
| An `IdePipeline`.
| The data is owned by the caller of the function.